• X-Delegated-Refresh-Token Header Generate an IAM Delegated Refresh Token for Code Engine with the Create an IAM access token and delegated refresh token for a user or service ID API. Specify the `receiver_client_ids` value to be `ce` and the `delegated_refresh_token_expiry` value to be `3600`.

  • Project ID In order to retrieve the Kubeconfig file for a specific Code Engine project, use the CLI to extract the ID `id=ibmcloud ce project get -n ${CE_PROJECT_NAME} -o jsonpath={.guid}` You must be logged into the account where the project was created to retrieve the ID.">

  • Retrieve KUBECONFIG for a specified project.

    GET /project/{id}/config

    Returns the KUBECONFIG, similar to the output of `kubectl config view --minify=true`. There are 2 tokens in the Request Header and a query parameter that you must provide. These values can be generated as follows:

    1. Auth Header Pass the generated IAM Token as the Authorization header from the CLI as `token=cat $HOME/.bluemix/config.json | jq .IAMToken -r`. Generate the token with the Create an IAM access token for a user or service ID using an API key API.

    2. X-Delegated-Refresh-Token Header Generate an IAM Delegated Refresh Token for Code Engine with the Create an IAM access token and delegated refresh token for a user or service ID API. Specify the `receiver_client_ids` value to be `ce` and the `delegated_refresh_token_expiry` value to be `3600`.

    3. Project ID In order to retrieve the Kubeconfig file for a specific Code Engine project, use the CLI to extract the ID `id=ibmcloud ce project get -n ${CE_PROJECT_NAME} -o jsonpath={.guid}` You must be logged into the account where the project was created to retrieve the ID.

    Request

    Path Parameters

    id

    Required *

    string

    The id of the IBM Cloud Code Engine project

    Query Parameters

    Response

    200 - Success. The returned content is the KUBECONFIG information to use for the specific IBM Cloud Code Engine project. The returned value must be stored in a .yaml file and exported as `export KUBECONFIG=<path to the .yaml file>` for use.

    400 - Bad request

    message

    string

    message returned with the status code

    messageid

    string

    Unique identifier for the message

    statuscode

    integer

    status code associated with the API response

    timestamp

    string

    Time of the message generation

    x-request-id

    string

    401 - Unauthorized

    message

    string

    message returned with the status code

    messageid

    string

    Unique identifier for the message

    statuscode

    integer

    status code associated with the API response

    timestamp

    string

    Time of the message generation

    x-request-id

    string

    403 - Unauthorized access

    message

    string

    message returned with the status code

    messageid

    string

    Unique identifier for the message

    statuscode

    integer

    status code associated with the API response

    timestamp

    string

    Time of the message generation

    x-request-id

    string

    500 - Internal Server Error

    message

    string

    message returned with the status code

    messageid

    string

    Unique identifier for the message

    statuscode

    integer

    status code associated with the API response

    timestamp

    string

    Time of the message generation

    x-request-id

    string